Public Class frmIdentificacion
    Inherits System.Windows.Forms.Form


#Region " Código generado por el Diseñador de Windows Forms "

    Public Sub New()
        MyBase.New()

        'El Diseñador de Windows Forms requiere esta llamada.
        InitializeComponent()

        'Agregar cualquier inicialización después de la llamada a InitializeComponent()

    End Sub

    'Form reemplaza a Dispose para limpiar la lista de componentes.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Requerido por el Diseñador de Windows Forms
    Private components As System.ComponentModel.IContainer

    'NOTA: el Diseñador de Windows Forms requiere el siguiente procedimiento
    'Puede modificarse utilizando el Diseñador de Windows Forms. 
    'No lo modifique con el editor de código.
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents tbClave As System.Windows.Forms.textBox
    Friend WithEvents Label5 As System.Windows.Forms.Label
    Friend WithEvents IniciarSesion As System.Windows.Forms.Button
    Friend WithEvents Cancelar As System.Windows.Forms.Button
    Friend WithEvents tbUsuario As System.Windows.Forms.textBox
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.Label1 = New System.Windows.Forms.Label()
        Me.tbClave = New System.Windows.Forms.textBox()
        Me.Label5 = New System.Windows.Forms.Label()
        Me.tbUsuario = New System.Windows.Forms.textBox()
        Me.IniciarSesion = New System.Windows.Forms.Button()
        Me.Cancelar = New System.Windows.Forms.Button()
        Me.SuspendLayout()
        '
        'Label1
        '
        Me.Label1.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label1.Location = New System.Drawing.Point(23, 49)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(144, 16)
        Me.Label1.tabIndex = 28
        Me.Label1.text = "Clave Acceso:"
        '
        'tbClave
        '
        Me.tbClave.Location = New System.Drawing.Point(136, 49)
        Me.tbClave.Name = "tbClave"
        Me.tbClave.PasswordChar = Global.Microsoft.VisualBasic.ChrW(42)
        Me.tbClave.Size = New System.Drawing.Size(142, 20)
        Me.tbClave.tabIndex = 1
        Me.tbClave.tag = "IND:2|NBD:Clave_Acceso"
        '
        'Label5
        '
        Me.Label5.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label5.Location = New System.Drawing.Point(23, 23)
        Me.Label5.Name = "Label5"
        Me.Label5.Size = New System.Drawing.Size(107, 16)
        Me.Label5.tabIndex = 46
        Me.Label5.text = "Código Usuario.:"
        '
        'tbUsuario
        '
        Me.tbUsuario.Location = New System.Drawing.Point(136, 20)
        Me.tbUsuario.Name = "tbUsuario"
        Me.tbUsuario.Size = New System.Drawing.Size(142, 20)
        Me.tbUsuario.tabIndex = 0
        Me.tbUsuario.tag = "IND:1|NBD:Codigo"
        '
        'IniciarSesion
        '
        Me.IniciarSesion.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.IniciarSesion.Location = New System.Drawing.Point(168, 85)
        Me.IniciarSesion.Name = "IniciarSesion"
        Me.IniciarSesion.Size = New System.Drawing.Size(110, 23)
        Me.IniciarSesion.tabIndex = 2
        Me.IniciarSesion.text = "&Iniciar Sesión"
        Me.IniciarSesion.UseVisualStyleBackColor = True
        '
        'Cancelar
        '
        Me.Cancelar.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Cancelar.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Cancelar.Location = New System.Drawing.Point(26, 85)
        Me.Cancelar.Name = "Cancelar"
        Me.Cancelar.Size = New System.Drawing.Size(110, 23)
        Me.Cancelar.tabIndex = 3
        Me.Cancelar.text = "&Cancelar"
        Me.Cancelar.UseVisualStyleBackColor = True
        '
        'frmIdentificacion
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.CancelButton = Me.Cancelar
        Me.ClientSize = New System.Drawing.Size(302, 125)
        Me.ControlBox = False
        Me.Controls.Add(Me.Cancelar)
        Me.Controls.Add(Me.IniciarSesion)
        Me.Controls.Add(Me.Label5)
        Me.Controls.Add(Me.tbUsuario)
        Me.Controls.Add(Me.tbClave)
        Me.Controls.Add(Me.Label1)
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D
        Me.KeyPreview = True
        Me.MaximizeBox = False
        Me.MinimizeBox = False
        Me.Name = "frmIdentificacion"
        Me.ShowInTaskbar = False
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent
        Me.tag = ""
        Me.text = "Identificación"
        Me.ResumeLayout(False)
        Me.PerformLayout()

    End Sub

#End Region



    Private Sub IniciarSesion_Click(sender As System.Object, e As System.EventArgs) Handles IniciarSesion.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
    End Sub

    Private Sub frmIdentificacion_KeyDown(sender As Object, e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        'If e.KeyCode = Keys.Enter Then
        '    If Not (tbUsuario.text <> "" And tbClave.text <> "") Then
        '        e.Handled = True
        '        If Me.ActiveControl Is tbClave Then
        '            tbUsuario.Focus()
        '        Else
        '            tbClave.Focus()
        '        End If
        '    Else
        '        Me.DialogResult = Windows.Forms.DialogResult.OK
        '    End If
        'End If
    End Sub

    Private Sub frmIdentificacion_KeyPress(sender As Object, e As System.Windows.Forms.KeyPressEventArgs) Handles Me.KeyPress
        If e.KeyChar = Chr(13) Then
            e.Handled = True
            If Not (tbUsuario.text <> "" And tbClave.text <> "") Then
                If Me.ActiveControl Is tbClave Then
                    tbUsuario.Focus()
                Else
                    tbClave.Focus()
                End If
            Else
                Me.DialogResult = System.Windows.Forms.DialogResult.OK
            End If
        End If
    End Sub
End Class
